@keyframes imgScaleInOut {
  0% {
    transform: scale(0.5);  
  }
  30% {
    transform: scale(0.6);
  }
  100% {
    transform: scale(0.5);
  }
}
@keyframes priceInOut {
  0% {
    transform: scale(1) rotate(0deg);
  }
  30% {
    transform: scale(1.4) rotate(10deg);
  }
  50% {
    transform: scale(0.95) rotate(-6deg);
  }
  70% {
    transform: scale(1.1) rotate(3deg);
  }
  100% {
    transform: scale(1) rotate(0deg);
  }
}
@keyframes composeTenIcoInOut {
  0% {
    transform: translateX(calc(-1 * 100%)) scale(1);
  }
  30% {
    transform: translateX(calc(-1 * 100%)) scale(2.4);
  }
  50% {
    transform: translateX(calc(-1 * 100%)) scale(1.95);
  }
  70% {
    transform: translateX(calc(-1 * 100%)) scale(2.2);
  }
  100% {
    transform: translateX(calc(-1 * 100%)) scale(2);
  }
}

/** background mask */
.warden-top-mask svg{
    width: 100%;
    opacity: 0;
    transition: all 0.3s ease;
}
.warden-top-mask .mask-circle {
    transform-origin: 50% 50%;
}
.warden-project-mask {
    position: absolute;
    width: 100%;
    top:1200px;
}
.warden-project-mask svg {
    opacity: 0;
    transition: all 0.3s ease;
}


/** product frame style */
.button-round-prd {
    font-size: clamp(var(--fs-sm), var(--fs-mm), 1rem);
    background-color: var(--primary-color);
    border-radius: 999px;
    border:solid 2px var(--primary-color);    
    padding:8px 14px 8px 18px;
    transform-origin: 50% 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    color:white;
    gap: 8px;
    transition: all 0.3s;
}
.price-container {
    display: flex;
    flex-flow: row;
    align-items: stretch;
    gap: 4px;
}

.price-container .price-box{
    font-weight: 500;
    font-size: 2.0rem;
    
}

.button-round-prd>svg{
    transform-origin: 50% 50%;
    transform: scale(1);
    transition: all 0.3s; 
}
.button-round-prd:hover{
    opacity: 0.8;
}
.button-round-prd:active{
    opacity: 1.0;
}
.button-round-prd:hover svg{
    transform: scale(1.1);  
}
.button-round-prd:active svg {    
    transform: scale(0.9);
}
.prd-scene-frame{
    height: min-content;    
    width: 100%;
    display: flex;
    flex-flow: column;
    justify-items: center;
    align-items: center;
    flex:none;    
    background-color: transparent;
    transition: all 0.3s;
}
.prd-hero-box {
    position: relative;
    display: flex;
    flex-flow: column;
    justify-content: flex-end;
    align-items: center; 
    min-height: 300px;
    width: 100%;    
    flex:none;
    padding: 100px 24px 48px 24px;
    overflow: visible;
}
.prd-hero-content {
    display: flex;
    flex-flow: column;
    max-width: 1000px;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.prd-hero-content h1{
    font-size: clamp(2.2rem, calc(4cqw + 0.5rem), 5rem);
    font-weight: 100;
    padding:clamp(0.4rem, calc(0.6cqw + 0.2rem), 1.4rem) 0px;
}
.prd-hero-content h2{
    font-size: clamp(1.4rem, calc(2cqw + 0.5rem), 3rem);
    font-weight: 100;
}
.prd-hero-content article {
    text-align: center;
    line-height: 1.6rem;
    font-weight: 300;
    width: 80%;
    padding:clamp(0.2rem, calc(0.5cqw + 0.2rem), 1.2rem) 0px;
    color:var(--text-color-article);
}
.prd-hero-btn-box {
    display: flex;
    flex-flow: row;
    justify-content: center;
    justify-items: center;
    gap: 14px;    
    padding: clamp(1rem, calc(2cqw + 0.5rem), 3rem) 0px;
}

.prd-hero-btn-box a.getup{
    color: var(--nav-link-color);
    background-color: rgb(10,10,10);     
    border-color: rgba(10,10,10);
    color: white; 
}
.prd-hero-btn-box a.demo{
    background-color: transparent;
    color: var(--nav-link-color);  
    border-color: rgba(10,10,10);  
}
.prd-hero-btn-box a svg {
    transform-origin: 50% 50%;
    transform: scale(1);
    transition: all 0.3s;   
}
.prd-hero-box a:hover svg{
    transform: scale(1.1);  
}
.prd-hero-btn-box a:active svg {    
    transform: scale(0.9);
}
.prd-frame-media {
    display: flex;
    align-items: center;
    flex-flow: column;
}
.prd-media-laptop {
    position: relative;
    overflow: hidden;
    width: clamp(300px, 90%, 1000px);
}
.prd-media-laptop img {
    width: 100%;
    transform-origin: 50% 0%;
    transition: all 0.3s;
}

.prd-media-screen {    
    position: sticky;
    display: flex;
    align-items: center;
    flex-flow: column;    
    top:48px;
}
.media-pc-box {    
    transition: all 0.3s;
}

.media-pc-screen {   
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10x);
    border-radius: 16px;
    background-image: url("../images/neon-full-screen@1130.webp");
    background-size: 100% 100%;
    background-repeat: no-repeat;
    background-clip: content-box; 
    border: solid 6px rgba(0,0,0,0.8);
    background-color: rgba(0,0,0,0.8);
    transform-origin: 50% 0%; 
    transition: all 0.3s;
}
.media-pc-screen img {
    width: clamp(300px, 90vw, 988px); 
    border-radius: 10px;
    vertical-align: middle;
    transition: all 0.3s;
}
.media-pc-bottom {
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    transition: all 0.3s;
}

.media-pc-bottom .pc-bracket {
    min-height: 50px;
    background-color: #8a8a8a;
    width:clamp(80px,25%,200px);
    transition: all 0.3s ease-in-out;
}

.media-pc-bottom .pc-plinth {
    width: 70%;
    min-height: 10px;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    background-color: #cfcfcf;
}

.media-screen-content {
    display: flex;
    flex-flow: column;
    justify-content:center;
    align-items:center;
    padding:clamp(1.4rem,calc((1vh - 1vw) * 4 + 1.4rem),50px) 0px;  
    
}
.content-star-box {
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    gap:10px;     
    opacity: 0;
    transform: scale(1);
    transform-origin: center;
    transform: translateY(20px);
    transition: all 0.3s ease;
}
.star-box-face {
    display: flex;
    justify-content: center;
    align-items: center;
    
}
.star-box-face img {
    width:30px;
    height:30px;
    margin-left:-8px;
    border-radius: 15px;
    border:solid 3px rgb(255,255,255);
}
.star-box-text {
    white-space: nowrap;
    font-weight: 200;    
    font-size: 1.6rem;
}
.star-box-list {
    display: flex;
    flex-flow: row;
    justify-content: center;
    align-items: center;
    gap:6px;
}
.star-box-list svg {
    fill: var(--star-color);
    width: 16px;
}
.star-box-list label{
    margin-left: 8px;
    font-weight: 400;
}
.content-index-box {
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition: all 0.3s ease;
    transform: translateY(0px);
}
.content-index-box article {
    font-size: clamp(var(--fs-xl), 2vw, 2.5rem);
    font-weight: 100;
    color:var(--text-dark-color);
    text-align: center;
}
.content-index-box article span{
    font-size: 3.5rem;
    font-weight: 600;
    display: inline-block;    
    margin:0px 0.5rem;  
    color:#009944;
    background: linear-gradient(180deg, #ebf78e 0%, #009944 100%);
    background-clip: text;    
    -webkit-text-fill-color: transparent;
    transform: scale(1);
    transform-origin: center center;
}
.media-screen-people {
    position: sticky;
    display: flex;
    flex-flow: row;
    bottom: 0px;    
    justify-content: flex-end;
    width: clamp(200px, 90vw, 1000px);    
}
.screen-people {
    display: flex;    
    align-items: flex-end;
}
.screen-people img {
    width: clamp(60%,50vw,90%);
    transition: all 0.3s;
}

.media-screen-group {
    position: sticky;
    display: flex;
    flex-flow: row;
    bottom: 0px;    
    justify-content: center;
    width: clamp(200px, 50vh, 1000px);    
}
.screen-group {
    display: flex;    
    align-items: center;
    justify-content: center;
    position: relative;
    z-index: 0;
}
.screen-group::after{
    content: '';
    background: url("../images/bg-light@603.webp") no-repeat center/cover;
    position: absolute;
    width: 100%;   
    opacity: 0;
    inset: 0;
    z-index: -1;
    transition: all 0.3s ease-out;
}
.screen-group img {
    width: clamp(60%,30vh,90%);
    opacity: 0;
    transform: scale(0.2);
    transition: all 0.3s ease-out;
}

/** project style */
.project-frame-media {
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center; 
    scroll-margin-top:48px;
}
.media-project-box {
    display: flex;
    position: relative;
    width: 100%;
    flex-flow: column;
    align-items: center;
    justify-content: center;       
    padding:1.2rem 0px;
}
.media-screen-bottom-gap {
    height: 1100px;
    min-height: 1100px;
}

.media-project-top {
    text-align: center;
    width:100%;
    height: clamp(60px, calc(10cqw + 1rem), 90px);    
    min-height: clamp(60px, calc(10cqw + 1rem), 90px);
    background-image: url("../images/p2-line.webp");
    background-size: 70%;
    background-repeat: no-repeat;    
    background-position: center;
    
}
.project-title {
    font-weight: 700;    
    color: rgba(255,255,255,0.9);
    background: linear-gradient(45deg,#7465c9 0%, #eb3434 100%);
    background-clip: text;
    -webkit-text-fill-color: transparent;
    transition: all 0.3s ease-out;
}
.project-btn-bar {
    display: flex;
    flex-flow: column;  
}
.project-btn-bar>div{    
    display: flex;
    flex-flow: row;
    gap: 10px;
}

a.p-link {
    color:var(--primary-link-color);
    display: inline;
    padding: 0px 6px;
}
a.p-link:hover {
    color:var(--primary-link-hover-color);
}

.project-btn-bar .button-round-prd {
    background-color: rgb(10,10,10);
    color:white;
    border-color: rgb(10,10,10);
}

.project-btn-bar a.button-outlined {
    color:rgb(10,10,10);
    border-color: rgb(10,10,10);
    background-color: transparent;
}

.project-panel {
    max-width: 1000px;
    display: flex;
    padding:1rem 0px;
    justify-content: center;
    align-items: center;
    flex-wrap:wrap;
    gap:1.4rem; 
    justify-content: center;
    align-items: stretch;
    color:var(--text-color); 
}

.project-panel>div{
    flex:1 1 calc(50% - 16px);
    display: flex;
    flex-flow: column;
}
.project-panel-reverse {
    flex-wrap: wrap-reverse;
}
.project-panel .trigger_line {
    height: 1px;
    max-height: 1px;
    font-size: 0px;
    width: 100%;
    background-color: transparent;
    overflow: hidden;    
}
.project-panel .price-right {
    position: relative;
}
.project-panel .price-right .prd-price {
    position: absolute;
    bottom:0px;
    right:0px;
}
.project-content {
    line-height: inherit;
    padding:0px 1.2rem;
}
.project-content article {
    font-size:1rem;
    line-height: 1.6rem;
    margin:0.5rem 0px;
}
.project-content article.quote { 
    position: relative;
    padding: 0px 1rem;
}
.project-content article.quote::before {
    position: absolute;
    content: '';
    left:0px;
    height: 100%;
    width: 4px;
    border-radius: 2px;
    background-color: rgb(220, 220, 220);
}

.project-content h1 {
    white-space: nowrap;
    font-size: clamp(2.2rem, calc(3cqw + 0.1rem), 3rem);
    margin:0.2rem 0px;
}
.project-content dl{
    list-style-type: none;   
    color:var(--text-color-article);
    line-height: 1.6rem;
    margin:0.8rem 0px;
    padding:0px;
}
.project-content dl dt,.project-content h3 {
    font-size: 1.2rem;
    margin:0.4rem 0px;
    font-weight: 600;
    color:rgba(10,10,10,0.9);

}
.project-content .pro-tag{
    display: inline-block;
    padding:2px 4px;
    color: rgba(255,255,255,0.9);
    border-radius: 4px;
    background: linear-gradient(45deg,#8b6bfd 0%, #6ce7e7 100%);
    transform: scale(1);
    transform: rotate(0deg);
    transform-origin: center;
}
.project-panel-reverse .project-btn-bar{
    margin-top:0.6rem;
    
}
.project-content dl dd {
    font-size: 1rem;
    margin:0px;
    padding:0px;
    font-weight: 300;
}
.project-content dl dd::before {
    content: '✓'; 
    margin-right: 8px;
    font-weight: 100;
    font-size: 0.8rem;
    line-height: 1rem;
    vertical-align: middle;
}
.project-content code {
    background-color: #1a1a1a;    
    border-radius: 10px;
    padding:1rem;
    line-height: 1.4rem;
    margin:0.4rem 0px;
    color:rgb(250,250,250);
    width: 100%;
}

.project-banner {
    position: relative;
    padding:0px 1.2rem;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
}

.project-banner img {
    width: 100%;   
    transition: all 0.3s ease-out;
}

.project-banner img.mask-wld{
    position: absolute;
    transform: scale(0.5);
    transform-origin: center right;
}

.project-content article.prd-price {
    white-space: nowrap;
    margin-top:1.2rem;
}

.project-content article.prd-price span {
    font-size: 2.2rem;
    font-weight: 700;
    color: #8677de;
    background: linear-gradient(45deg,#918beb 0%, #ff5f5f 100%);
    background-clip: text;
    -webkit-text-fill-color: transparent;
    transition: all 0.3s;
}

.project-content article.prd-price label{
    color:rgba(10,10,10,0.5);
}

.project-content article.notice {
    text-indent: 0px;
}
.project-view-box{
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    width: 95vw;
    background-image: url("../images/p3-line.webp");
    background-repeat: no-repeat;
    background-position: 0px 14px;
}
.project-view-title {
    margin-top: 1rem;
    color:var(--text-color);
    width: 100%;
    max-width: 1000px;
    padding:20px 20px 8px 20px;
    display: flex;
    flex-flow: row;
    align-items: center;
}
.project-view-title h4 {
    text-align: center;
    font-weight: normal;
}
.project-image-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
    max-width: 1000px;
    padding:8px 20px;    
}

.project-image-list>div{
    position: relative;
    min-width: 200px;
    border-radius: 10px;
    padding:6px;
    background-color: rgba(50,50,50,0.02);  
    border:solid 0.5px rgba(50,50,50,0.1);    
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
}

.project-image-list img {
    width: 100%;
    border-radius: 6px;
    transform-origin: center center;   
}

.banner-box {
    position: relative;
}
.banner-box .p-wc-ada{
    height: 100%;
    width: 30%;
    position: absolute;
    display: flex;
    flex-flow: column;
    justify-content: center;
}
.banner-box .p-wc-ada>div{
    position:absolute;
    margin-left:var(--wc-a-x);
    margin-top:var(--wc-a-y);
    width:100%;
}
.banner-box .p-wc-ada>div img {
    transform: translateX(-40px);
    transition: all 0.3s ease-out;
}

.banner-box .tenant-ico {
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    position: absolute;   
    height:100%;
    width: min-content;
    aspect-ratio: 1 / 1;
    flex-shrink: 0; 
    left:0;
    top:0px;
    border:2px solid #eef1f7;
    background-color: white;
    border-radius: 999px;    
    transform: translateX(calc(-1 * 100%)) scale(1);
    transform-origin: center;
    transition: all 0.3s ease-out;
}

.banner-box .tenant-ico svg {
    height: 50%;
}

.banner-box .p-wc-lang {
    position: absolute;  
    inset: 0;
}
.banner-box .p-wc-lang>div{
    position: absolute;
    left:var(--wc-l-left);
    top:var(--wc-l-top);
    width: var(--wc-l-width);
    height:var(--wc-l-width);
    border:solid 4px #eef1f7;
    background-color: white;
    border-radius: calc(var(--wc-l-width) / 2);
    display: flex;
    justify-content: center;
    align-items: center;
    transform: scale(0.5);
    opacity: 0;
    transform-origin: center;
    transition: all 0.3s ease-out;
}
.banner-box img.back-mask {
    transform: scale(0.5);
    opacity: 0;
    transform-origin: center;
    transition: all 0.3s ease-out;
}
.banner-box .p-wc-lang svg{
    height: 50%;
    fill: #8898b6;
    color:#8898b6;
}

.banner-box img.saas-mask {
    opacity: 0;
    border-radius: 20px;
}

.banner-box img.saas-tenant {
    opacity: 0;
    transform: scale(0.5);
}

.banner-box .p-ws-type {
    position: absolute;
    inset: 0;
}
.banner-box .p-ws-type div {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    left:var(--ws-t-left);
    top:var(--ws-t-top);
    width: var(--ws-t-width);
    height:var(--ws-t-width);
    transform: scale(0.5) rotate(var(--ws-t-rotate));
    opacity: 0;
    border-radius: clamp(0.8rem, 1vw, 1rem);
    box-shadow: 15px 15px 27px 0px rgba(0,0,0,.1);
    background-color: white;    
    transform-origin: center;
    transition: all 0.3s ease-out;
}
.banner-box .p-ws-type svg {
    height: 50%;
}
.banner-box img.saas-custom {
    border: 5px solid #2e2e2e;
    border-radius: 20px;
    transform: scale(1);
    transform-origin: center;
    transition: all 0.3s ease-out;
}
.banner-box .p-ws-people {   
    position: absolute;
    inset: 0;    
}
.banner-box .p-ws-people div {
    height: 100%;
    opacity: 0;
    display: flex;
    flex-flow: row;
    justify-content: flex-end;
    align-items:center;
    transform: scale(0.5);
    transform-origin: center;
    transition: all 0.3s ease-out;
}
.banner-box .p-ws-people img {   
    width: auto;
    height: 100%;
}
.banner-list{
    overflow: hidden;
}
.banner-list img:is(:first-child) {
    opacity: 0;
}
.banner-list img:not(:first-child) {
    position: absolute; 
    padding:0px 1.2rem;
    top:0px;
    left:0px;
    opacity: 1;
}

.project-image-list .banner-list img:not(:first-child) {
    padding:6px;
    border-radius: 10px;
}

.gary-line-top {
    text-align: center;
    width:100%;
    height: clamp(60px, calc(10cqw + 1rem), 90px);    
    min-height: clamp(60px, calc(10cqw + 1rem), 90px);
    background-image: url("../images/d-line.webp");
    background-size: 70%;
    background-repeat: no-repeat;    
    background-position: center;
    
}
/** demo */
.demo-container {
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding:0px 1rem;
    margin-bottom: 1.2rem;
}
.demo-box {
    width: 100%;
    max-width: 1000px;  
}
.demo-website{
    position: relative;
    margin-top: 1rem;
}
.demo-website::before{
    content: '';
    position: absolute;
    top:0px;
    left:0px;
    bottom: 0px;
    width: calc(100% - 100px);
    background: url("../images/1girl-pruple-dev@400.webp");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: left center;
    transform: translateX(100px);
    opacity: 0;
    z-index: -1;
    transition: all 0.3s ease-out;
}
.demo-website::after{
    content: 'Superman';
    position: absolute;   
    font-weight: 200;
    bottom: 10px; 
    right:10px;
    font-size: 5rem;
    z-index: -1;
}
.demo-website>div{
    background-color: rgba(255,255,255, 0.3);
    backdrop-filter: blur(8px);    
    -webkit-backdrop-filter: blur(8px);
    margin-left:clamp(100px, calc(10cqw + 0.5rem), 150px);
    margin-right:0px;
    border-radius: 10px;
    border:0.5px solid rgba(255,255,255,0.6);
    padding:2rem 5rem;
    transition: all 0.3s ease-out;
}

.demo-website h2 {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 0.4rem;
}

.demo-website article {
    padding-top:1.2rem;
    font-size: var(--fs-mm);
    line-height: 1.4rem;
    font-weight: 400;
    color:var(--text-color-article);
}
.demo-website article label{
    font-weight: 600;
    font-size: var(--fs-md);
    color:rgb(10,10,10);
}
.demo-website article a{
    color:var(--text-color-memo);  
}
.demo-website article a:hover{
    color:rgb(10,10,10);
    text-decoration: underline;    
}
.demo-website article span{
    color:rgb(150,150,150);
}



/** sticky */

.prd-media-screen.prd-screen-sticky .pc-bracket {
    min-height: 40px;
}
.prd-media-screen.prd-screen-sticky .content-star-box {
    opacity: 1;
    transform: translateY(0px);
}

.media-screen-people.people-sticky .screen-people img{
    width:40%;
}
.media-screen-content.people-sticky .content-star-box {
    animation: fadeScaleInOut 0.5s ease-in-out;
}
.prd-scene-frame.screen-dark-sticky {
    background-color: rgb(10,10,10);
}

.prd-scene-frame.screen-dark-sticky .media-pc-screen {
    border-color: rgba(255,255,255,0.4);
}
.prd-scene-frame.screen-dark-sticky .media-pc-screen>img:first-of-type {
    opacity: 0;
}
.prd-scene-frame.screen-dark-sticky .pc-bracket {
    background-color: #222222;
}

.prd-scene-frame.screen-dark-sticky .pc-plinth {
    background-color: #555555;
}

.prd-scene-frame.screen-dark-sticky .content-star-box {
    opacity: 0;
    transform: translateY(10px);
}
.prd-scene-frame.screen-dark-sticky .content-index-box {
    opacity: 1;
    transform: translateY(-10vh);
}
.prd-scene-frame.screen-dark-sticky .media-screen-group img {
    opacity: 1;
    transform: scale(1);
}
.prd-scene-frame.screen-dark-sticky .screen-people img { 
    width: 0%;
    opacity: 0;
}
.prd-scene-frame.screen-dark-sticky.warden-layout-sticky .screen-group::after {
    opacity: 0.7;   
}
.prd-scene-frame.prd-light-sticky{
    background-color: transparent
}
.project-frame-media.screen-dark-sticky .project-panel {
    color:var(--text-dark-color); 
}
.project-frame-media.screen-dark-sticky .project-content dl{
    color:rgba(255,255,255,0.6);
}
.project-frame-media.screen-dark-sticky .project-content dl dt,
.project-frame-media.screen-dark-sticky .project-content h3 {
    color:rgba(255,255,255,0.9);

}
.project-frame-media.screen-dark-sticky a.p-link {
    color:var(--primary-link-dark-color);
}
.project-frame-media.screen-dark-sticky a.p-link:hover {
    color:var(--primary-link-dark-hover-color);
}

.project-frame-media.screen-dark-sticky .project-btn-bar a.button-outlined {    
    color:var(--primary-link-dark-color);
    border-color: var(--primary-link-dark-color);
}

.project-frame-media.screen-dark-sticky .project-content article.quote::before {
    background-color: rgb(50, 50, 50);
}

.project-frame-media.screen-dark-sticky .project-view-title {
    color:var(--text-dark-color);
}

.project-frame-media.screen-dark-sticky .project-image-list>div{
    background-color: rgba(255,255,255,0.1);  
    border:solid 0.5px rgba(255,255,255,0.2);
}

.project-frame-media.screen-dark-sticky .banner-list img:is(:first-child) {
    opacity: 1;
}
.project-frame-media.screen-dark-sticky .banner-list img:not(:first-child) {
    opacity: 0;
}

.project-frame-media.screen-dark-sticky .project-btn-bar .button-round-prd {
    background-color: var(--primary-link-color);
    color:white;
    border-color: var(--primary-link-color);
}
.project-frame-media.screen-dark-sticky .project-btn-bar a.button-outlined {
    color:var(--primary-link-color);
    border-color: var(--primary-link-color);
    background-color: transparent;
}
.project-frame-media.screen-dark-sticky .project-content article.prd-price span {
    background: linear-gradient(45deg,#77b8de 0%, #f74545 100%);
    background-clip: text;
    -webkit-text-fill-color: transparent;
}
.project-frame-media.screen-dark-sticky .project-content .pro-tag{
    background: linear-gradient(45deg,#8677de 0%, #059b50 100%);
}
.project-frame-media.screen-dark-sticky .media-project-top {
    color:rgba(250,250,250,0.5);
}
.warden-top-mask.nav-mask-svg-sticky svg {
    opacity: 0.7;
}
.warden-project-mask.project-sticky  svg {
    opacity: 0.8
}
.prd-nav-container.p-wl-sticky .prd-nav-box {
    opacity: 1;
}
.project-banner img.mask-wld.p-wl-bar-sticky {
    
    animation: imgScaleInOut 0.5s ease-in-out;
}
.project-content.p-wa-bar-sticky .pro-tag {
    animation: priceInOut 0.5s ease-in-out;
}
#p-warden-compose.p-wc-ico-sticky .banner-box .tenant-ico{
    transform: translateX(calc(-1 * 100%)) scale(1.6);
}
#p-warden-compose.p-wc-ico-sticky .banner-box .p-wc-ada>div img {
    transform: translateX(-10px);
}
#p-warden-compose.p-wc-ad-sticky .banner-list img:is(:first-child) {
    opacity: 1;
}
#p-warden-compose.p-wc-ad-sticky .banner-list img:not(:first-child) {
    opacity: 0;
}
#p-warden-compose.p-wc-btn-sticky .banner-box img.back-mask {
    transform: scale(1);
    opacity: 1;
}
#p-warden-compose.p-wc-btn-sticky .banner-box .p-wc-lang>div{
    transform: scale(1);
    opacity: 1;
}

#price-ratio.p-wl-sticky {
    animation: fadeScaleInOut 0.5s ease-in-out;
}
#p-warden-cloud.p-ws-sticky .banner-box img.saas-mask {
    opacity: 1;
}
#p-warden-cloud.p-ws-content-sticky .banner-box .p-ws-type div {
    opacity: 1;
    transform: scale(1) rotate(0deg);
}
#p-warden-cloud.p-ws-tenant-sticky img.saas-tenant {
    opacity: 1;
    transform: scale(1);
}
#p-warden-cloud.p-ws-btn-sticky .banner-box img.saas-custom {    
    transform: scale(0.7);
}

#p-warden-cloud.p-ws-btn-sticky .banner-box .p-ws-people div {
    transform: scale(1);
    opacity: 1;
}
#warden-demo.demo-pro-sticky .demo-website::before {
    opacity: 1;
    transform: translateX(0);
}

/** trigger - style */
#trigger-media-screen-box{
    position: absolute;
    left:0px;
    top:200px;
    height: 1px;
}
#trigger-media-people-box{
    position: absolute;
    left:0px;
    top:400px;
    height: 1px;
}
#trigger-media-dark-box{
    position: absolute;
    left:0px;
    top:600px;
    height: 1px;
}
#trigger-media-project-box{
    position: absolute;
    left:0px;
    top:800px;
    height: 1px;
}
#trigger-warden-layout-box{
    position: absolute;
    left:0px;
    top:1100px;
    height: 1px;
}
#trigger-warden-admin-light-box {
    position: absolute;
    left:0px;
    top:4700px;
    height: 8000px;
}
html:lang(en) #trigger-warden-admin-light-box  {
    top:5000px;
}

@media screen and (max-width: 790px) {
    .prd-hero-box {
        height: min-content;
        min-height: 440px;
    }
    .prd-media-screen {
        top: 88px;
    }
    
   .screen-people {
        justify-content: center;
    }
    .media-screen-content {        
        width: 80vw;
    }    
    .prd-hero-content h2{
        font-weight: 200;
    }
    .prd-hero-content h1{
        font-weight: 900;
    }
    .prd-hero-content article {
        width: 100%;
    }
    .media-screen-bottom-gap {
        height: clamp(450px, 60vh, 680px);
    }  
    .project-panel>div {
        flex:1 1 100%;
    }
    .project-content {
        justify-content: center;
        align-items: center;
    }
    .project-content h1 {
        font-size: clamp(2.4rem, calc(4cqw + 0.3rem), 4rem);
    }
    .project-panel .price-right .prd-price {
        position:static;
        text-align: center;
    }

    .project-content article {
        text-indent: 2rem;
    }
    .project-content article.prd-price {
        text-indent: 0px;
    }

    .project-content article.quote {
        padding: 0px;
    }

    .project-content article.quote::before {
        content: none;
    }

    .prd-nav-box{
        gap:5px;
    }  

    .prd-nav-box a {
        padding:0px 14px;
        gap:0;
    }
    .prd-nav-box a span {
        width:0px;
    }
    .prd-nav-box a.prd-type-selected {    
        padding: 0px 14px 0px 18px;
        gap:8px;
    }
    .prd-nav-box a.prd-type-selected span { 
         
        width: initial;
    }
    .prd-nav-box a.prd-type-selected svg { 
        color:white;
        opacity: 1;
    }
    .project-view-title {
        justify-content: center;
    }
    .project-image-list {
        grid-template-columns: 1fr;
    }
    .demo-website::before{        
        right:0px;
        background-color: rgba(255,255,255,0.7);
        left:auto;
        background-position:right center;
        transform: translateX(-100px);        
    }
    .demo-website::after{
        content: '';
    }
    .demo-website>div{ 
        margin-left:0px;
        margin-right: clamp(60px, calc(8cqw + 1rem), 80px);
        padding: 1rem;
    }

    #trigger-warden-admin-light-box {
        top:5200px;
    }
    html:lang(en) #trigger-warden-admin-light-box  {
        top:5400px;
    }
    
}
@media screen and (max-width: 600px) {    
    .media-screen-bottom-gap {
        height: clamp(300px, 55vh, 600px);
    } 
    #trigger-warden-admin-light-box {
        top:5400px;
    }
    html:lang(en) #trigger-warden-admin-light-box  {
        top:5600px;
    }

}

@media (min-aspect-ratio: 1/1) {   
    .media-pc-screen img {
        width: clamp(200px, 90vw, 988px);   
    } 
    .prd-media-screen.prd-screen-sticky .media-pc-screen img {
        width: clamp(200px, 80vh, 888px);
    }
    .media-screen-group {
        width: clamp(200px, 50vh, 100%);    
    }  
    
}

@media (max-aspect-ratio: 1/1) {
    .media-pc-screen img {
        width: clamp(200px, 90vw, 988px);   
    }
    .prd-media-screen.prd-screen-sticky .media-pc-screen img  {
        width: clamp(200px, 80vw, 888px);
    } 
    .media-screen-group {
        width: clamp(200px, 60vh, 100%);    
    } 
    
}